=== debian/changelog ===
libreoffice (1:7.3.2-0ubuntu2) jammy; urgency=medium

  * Fix Qt5 Wayland popups (LP: #1968728)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 12 Apr 2022 16:49:31 +0200

libreoffice (1:7.3.2-0ubuntu1) jammy; urgency=medium

  * New upstream release
  * Use XDG_DOWNLOAD_DIR as location for temporary file for offline help
    (LP: #1951210)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 04 Apr 2022 12:28:12 +0200

libreoffice (1:7.3.2~rc2-1) unstable; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Mar 2022 20:30:37 +0100

libreoffice (1:7.3.2~rc2-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2022-03-12"
  * Demote Recommends to Suggests of requires browser as help viewer

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 23 Mar 2022 15:53:21 +0100

libreoffice (1:7.3.2~rc1-0ubuntu2) jammy; urgency=medium

  * Restrict parallelism to 3 on amd64 to workaround insufficient builder
    resources

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 10 Mar 2022 21:43:08 +0100

libreoffice (1:7.3.2~rc1-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 09 Mar 2022 20:18:29 +0100

libreoffice (1:7.3.1-1) unstable; urgency=medium

  * LibreOffice 7.3.1 final release

 -- Rene Engelhard <rene@debian.org>  Thu, 03 Mar 2022 17:24:16 +0000

libreoffice (1:7.3.1~rc3-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Mar 2022 09:39:32 +0100

libreoffice (1:7.3.1~rc2-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 23 Feb 2022 14:17:48 +0100

libreoffice (1:7.3.1~rc1-0ubuntu3) jammy; urgency=medium

  * Fix header discovery with kf5coreaddons >= 5.91.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 15 Feb 2022 19:06:38 +0100

libreoffice (1:7.3.1~rc1-0ubuntu2) jammy; urgency=medium

  * Recommend/Suggest firefox as first alternative while being the default
    browser in Ubuntu

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 15 Feb 2022 16:49:51 +0100

libreoffice (1:7.3.1~rc1-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 11 Feb 2022 13:03:24 +0100

libreoffice (1:7.3.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Feb 2022 13:33:36 +0100

libreoffice (1:7.3.0-1) unstable; urgency=medium

  * New upstream release

  * debian/watch: watch releases again

 -- Rene Engelhard <rene@debian.org>  Mon, 31 Jan 2022 17:33:13 +0100

libreoffice (1:7.3.0~rc3-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2022-01-20"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 26 Jan 2022 16:57:22 +0100

libreoffice (1:7.3.0~rc2-3) unstable; urgency=medium

  * debian/tests/control.in:
    - comment out build-needing autopkgtests again by request of the release
      team; the infrastructure even on amd64 is not capable of handling it due
      due autopkgtest shortcomings
  * debian/control.help.in.
    - move the browser Depends to Recommends: (closes: #1003864)
  * debian/patches/apparmor-updates.diff: add patch to fix saving with
    enforced apparmor again, thanks Vincas Dargis (closes: #1004038) 

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Jan 2022 20:35:38 +0100

libreoffice (1:7.3.0~rc2-2) unstable; urgency=medium

  * upload to unstable

  * debian/tests/control.in, debian/tests/uicheck-{sfx2,svx}:
    also run uitests in sfx2 and svx
  * debian/tests/control.in: try to optimize the order of the tests
    a bit (especially for uicheck-*) to try reusing the testbed and
    avoid costly copy(up|down)s

 -- Rene Engelhard <rene@debian.org>  Sun, 16 Jan 2022 11:30:18 +0100

libreoffice (1:7.3.0~rc2-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate
  * Enable dwz on amd64
  * Disable autopkgtests with build-needed to keep their runtime reasonable

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 13 Jan 2022 07:58:27 +0100

libreoffice (1:7.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Jan 2022 20:17:15 +0100

libreoffice (1:7.3.0~rc1-2) experimental; urgency=medium

  * debian/patches/fix-uicheck-tests-on-i386.patch: update
  * debian/patches/fix-Tdf126116-test.diff: add upstream patch from gerrit;
    fix upstream FTBFS timebomb found by reproducible builds

  * debian/tests/*: rename "uno" to "testtools-bridgetest", since it's
    more telling (and inside testtols anyway, uno is just the command
    ran)

 -- Rene Engelhard <rene@debian.org>  Thu, 23 Dec 2021 17:23:03 +0100

libreoffice (1:7.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - add support (don't use it (yet)) for using --enable-cipher-openssl-backend
    - limit llvm build-dep to le/skia-using archs
    - build the mysqlc test only on the archs we run the actual test (at least
      for now)
    - bump liborcus-dev build-depends to >= 0.17.2 if we run the tests

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Nov 2021 16:46:17 +0100

libreoffice (1:7.3.0~beta1-4) experimental; urgency=medium

  * debian/rules:
    - add explicit Build-Depends on llvm since clang doesn't pull in
      llvm-xx-linker-tools anymore

 -- Rene Engelhard <rene@debian.org>  Sat, 11 Dec 2021 15:26:54 +0100

libreoffice (1:7.3.0~beta1-3) experimental; urgency=medium

  * debian/patches/fix-mysqlc-test.diff: as name says, from gerrit

  * debian/rules:
    - build the connectivity mysqlc test with the rest of the tests so it
      doesn't do that in the actual autopkgtest test
    - stop hardcoding clang-12 for ppc64el, add build-dep on clang (>= 1:12)
      now that 13 is default in sid
  * debian/libuno-sal3.symbols: update


